Package proton :: Class SSLDomain

[frames] | no frames]

# Class SSLDomain

source code

    object --+
             |
            SSLDomain

Instance Methods

__del__(self) | source code

__init__(self, mode) x.__init__(...) initializes x; see help(type(x)) for signature | source code

allow_unsecured_client(self) | source code

set_credentials(self, cert_file, key_file, password) | source code

set_peer_authentication(self, verify_mode, trusted_CAs=None) | source code

set_trusted_ca_db(self, certificate_db) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| ANONYMOUS_PEER = `2`
| MODE_CLIENT = `1`
| MODE_SERVER = `2`
| VERIFY_PEER = `1`
| VERIFY_PEER_NAME = `3`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, mode)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)